Subject: bug#50693: 28.0.50; newsticker is broken

From: Zhiwei Chen <[email-masked]>
Date: Tue, 21 Sep 2021 03:58:14 +0800

Lars Ingebrigtsen <[email-masked]> writes:

> Zhiwei Chen <[email-masked]> writes:
>
>> It can be reproduced in emacs -Q using the following snippet.
>>
>> #+begin_src elisp
>> (setq newsticker-retrieval-method 'extern)
>> (setq newsticker-url-list-defaults nil)
>> (setq newsticker-url-list '(("Planet Emacslife" "https://planet.emacslife.com/atom.xml")
>>                             ("LWN (Linux Weekly News)" "https://lwn.net/headlines/rss")))
>>
>> (newsticker-show-news)
>> #+end_src
>>
>> Then press G to fetch all feeds in LWN and Emacs planet, but nothing is
>> displayed in the right window.
>
> I don't use Newsticker, so I don't know what it usually looks like, but
> following your recipe I get the following display:
>
>
>
>
> Which certainly isn't empty.  So I'm unable to reproduce the problem.
>
> Are any further steps necessary to observe the bug?

After revisiting the output content by wget, I found that's a wget bug.

https://lists.gnu.org/archive/html/bug-wget/2021-09/msg00010.html

wget prints "SSL_INIT" even in quiet mode (-q), so that newsticker
failed to parse.

Sorry to bother you, silly me.

-- 
Zhiwei Chen